import type { IMappingEntry } from "@/ServerConfig";
import type { NamespaceTable } from "./NameSpaceTable";
import { UABaseNode } from "./UABaseNode";
import type { UANodeSet } from "./UANodeSet";


export interface IAddressSpace {
    nst: NamespaceTable
    nodesets: UANodeSet[];
    mapping:  Map<string, IMappingEntry>;
    getSubTreeAsList(nodeId: string): UABaseNode[];
    findNode(nodeId: string):UABaseNode|undefined;
    addNodeset(nodeset: UANodeSet):void;
    getNodeSets(): UANodeSet[];
}

